Package jakarta.security.auth.message.callback

# Class CallerPrincipalCallback

java.lang.Object
jakarta.security.auth.message.callback.CallerPrincipalCallback

All Implemented Interfaces:
  `Callback`

public class CallerPrincipalCallback extends Object implements Callback
Callback that enables an authentication module to inform the runtime of the call principal or name of the caller principal.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CallerPrincipalCallback(Subject subject, String name)`
  `CallerPrincipalCallback(Subject subject, Principal principal)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `Principal`
  `getPrincipal()`
  `Subject`
  `getSubject()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CallerPrincipalCallback

    public CallerPrincipalCallback(Subject subject, Principal principal)

  - ### CallerPrincipalCallback

    public CallerPrincipalCallback(Subject subject, String name)

- ## Method Details

  - ### getSubject

    public Subject getSubject()

  - ### getPrincipal

    public Principal getPrincipal()

  - ### getName

    public String getName()